Retrieves the territory with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "b6742cc7-ddf7-4fa8-903a-4394e4c75e5b",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "101b2b47-5398-4f75-9832-e100cfe9fb18",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "1919ead3-8600-42fa-9ad4-eec0c94635fe",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "892b06e8-c56d-4edd-a76e-23c92e01199e",
    "db_currency_id": "7ce99971-2ca4-438c-ae65-63a97e0e6a3c",
    "db_language_id": "272cd919-dfe5-49a1-b1e7-72882ef1ed75",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-27T13:11:27.5030243+00:00"
  },
  "modified_dateutc": "2026-10-27T13:11:27.5030243+00:00"
}